package uk.ac.vamsas.client.picking;

/**
 * Interface that defines the methods required for a pick manager.
 */
public interface IPickManager
{
	/**
	 * Sends a message.
	 * @param message the message to send
	 */
	public void sendMessage(Message message);
	
	/**
	 * Registers a message handler with the manager that allows the manager to
	 * perform a method callback on that object whenever a message is received.
	 * @param handler the message handler to register
	 */
	public void registerMessageHandler(IMessageHandler handler);
	
	/**
	 * Shutsdown the pick manager processes, terminating any connections to
	 * other clients.
	 */
	public void shutdown();
}